WinShopAPI docs
ReferencePromotionsQuantitative promotions

Get a quantitative promotion

Returns one quantitative promotion by `id`. Requires `Permissions.Promotions.View`.

GET
/api/promotions/quantitative-promotions/{id}

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

id*integer
Formatint32

Response Body

application/json
  1. response
discountAmount?number
Formatdecimal
discountPercent?number
Formatdecimal
id?integer
Formatint32
productId?integer
Formatint32
quantityFrom?number
Formatdecimal
quantityTo?number
Formatdecimal
curl -X GET 'https://<your-instance>/api/promotions/quantitative-promotions/0' \  -H 'Authorization: Bearer <access-token>'
{  "discountAmount": 0,  "discountPercent": 0,  "id": 0,  "productId": 0,  "quantityFrom": 0,  "quantityTo": 0}